<h1>Ejercicio 38</h1>
<hr>
<div class="container">
  <form (ngSubmit)="ir()" #forma="ngForm">
    <div class="row">
      <div class="col-5">
        <label for="fname" class="lbl">Nombre:</label>
      </div>

      <div>
        <input type="text" id="fname" placeholder="Nombre" class="txtbox" name="nombre" [(ngModel)]="dato.nombre"
          ngModel required minlength="5" #nombre="ngModel" [class.is.invalid]="nombre.invalid && nombre.touched"
          pattern="^[a-zA-zñÑ\s]+$">
      </div>
      <small class="text-danger" *ngIf="nombre.invalid && nombre.touched">
        Ingrese mas de 5 letras
      </small>
    </div>



    <br>
    <div class="row">
      <div class="col-5">
        <label for="faddress" class="lbl">Direccion</label>
      </div>
      <div>

        <input type="text" id="faddress" placeholder="Direccion" class="txtbox" name="direccion"
          [(ngModel)]="dato.direccion" ngModel required minlength="5" #direccion="ngModel"
          [class.is.invalid]="direccion.invalid && direccion.touched" pattern="^[a-zA-zñÑ\s]+$">

      </div>
      <small class="text-danger" *ngIf="direccion.invalid && direccion.touched">
        Ingrese mas de 5 letras
      </small>
    </div>

    <div class="condicion">
      <input type="checkbox" id="terminos" name="aceptar" value="terminos" ngModel required>
      <label for="terminos">Acepta los terminos y condiciones</label>

    </div>

    <button type="submit" class="btn" [disabled]="!forma.valid">Save</button>


  </form>
</div>